### Method

# Gegl Node blit

#### Declaration [src]

    void
    gegl_node_blit (
      GeglNode* node,
      gdouble scale,
      const GeglRectangle* roi,
      const Babl* format,
      gpointer destination_buf,
      gint rowstride,
      GeglBlitFlags flags
    )

#### Description [src]

Render a rectangular region from a node.

This method is not directly available to language bindings.

#### Parameters

`scale`

  Type: `gdouble`

  The scale to render at 1.0 is default, other values changes the width/height of the sampled region.

`roi`

  Type: `GeglRectangle`

  The rectangle to render from the node, the coordinate system used is coordinates after scale has been applied.

  The data is owned by the caller of the method.

`format`

  Type: `Babl`

  The `BablFormat` desired.

  The data is owned by the caller of the method.

`destination_buf`

  Type: `gpointer`

  A memory buffer large enough to contain the data, can be left as NULL when forcing a rendering of a region.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`rowstride`

  Type: `gint`

  Rowstride in bytes, or GEGL_AUTO_ROWSTRIDE to compute the rowstride based on the width and bytes per pixel for the specified format.

`flags`

  Type: `GeglBlitFlags`

  An or’ed combination of GEGL_BLIT_DEFAULT, GEGL_BLIT_CACHE and GEGL_BLIT_DIRTY. if cache is enabled, a cache will be set up for subsequent requests of image data from this node. By passing in GEGL_BLIT_DIRTY the function will return with the latest rendered results in the cache without regard to wheter the regions has been rendered or not.